Bug 100587 - vfork returns 0 to both child and parent
Summary: vfork returns 0 to both child and parent
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-23 16:09 UTC by Jorge Dionisio
Modified: 2007-03-27 04:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jorge Dionisio 2003-07-23 16:09:26 UTC
Description of problem:

The newest redhat kernel comes with a vfork implementation that returns 0 to
both child and parent this could cause programs that use vfork to crash or to
malfunction

Version-Release number of selected component (if applicable):
2.4.20-18xxx

Additional info:
Workaround:
Add /usr/lib/vfork.so to /etc/ld.so.preload and create a shared library with
this source code:
#include <sys/types.h>
#include <sys/unistd.h>
 
pid_t vfork(void) {
   return fork();
}

Comment 1 Bugzilla owner 2004-09-30 15:41:20 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.